#3517 Prevent "TypeError: must be type, not classobj"
Closed: Fixed 2 years ago Opened 2 years ago by fidencio.

@lslebodn fixed the very same issue on https://github.com/SSSD/sssd/pull/373/commits/ec6b01f0f0c9f60b6fc66a6f56f835142b9e030b

As this issue also happens on the following files, we should fix them as well:
- src/config/SSSDConfig/ipachangeconf.py:class IPAChangeConf:
- src/sbus/sbus_codegen:class Base:
- src/sbus/sbus_codegen:class DBusXMLParser:


Metadata Update from @fidencio:
- Issue priority set to: trivial
- Issue tagged with: easyfix

2 years ago

So far I'm filing this ticket into the patches welcome milestone. We'll close the ticket and file it into the appropriate milestone when the PR is merged.

Metadata Update from @jhrozek:
- Issue set to the milestone: SSSD Patches welcome

2 years ago

Metadata Update from @lslebodn:
- Issue close_status updated to: Fixed
- Issue set to the milestone: SSSD 1.15.4 (was: SSSD Patches welcome)
- Issue status updated to: Closed (was: Open)

2 years ago

Metadata Update from @jhrozek:
- Issue set to the milestone: SSSD 1.16.0 (was: SSSD 1.15.4)

2 years ago

SSSD is moving from Pagure to Github. This means that new issues and pull requests
will be accepted only in SSSD's github repository.

This issue has been cloned to Github and is available here:
- https://github.com/SSSD/sssd/issues/4543

If you want to receive further updates on the issue, please navigate to the github issue
and click on subscribe button.

Thank you for understanding. We apologize for all inconvenience.

Login to comment on this ticket.

Metadata